
/* ------------------------------------------------------------- */
/* --------------------------- GLOBAL -------------------------- */
/* ------------------------------------------------------------- */

/* --- DISPLAY SWAPS --- */
.skll-div1-sub1-alt{
    display: none;
}
.hr1-alt1{
    display: none;
}
.hr-mobile{
    display: none;
}
#navmob{
    display: none;
}
.footer-index-mob{
    display: none;
}
.skll-div2-alt{
    display: none;
}

/* --- MISC --- */
.hr1, .hr2, .hr1-alt1, .hr-mobile, .hr1-alt2{
    width: 100%;
    border: none;              
    opacity: 1; 
}
.hr1, .hr1-alt1, .hr-mobile, .hr1-alt2 {             
    border-top: 1px solid var(--color-light);                   
}
.hr2 {             
    border-top: 1px solid #4c4c4c;                   
}

/* --- WRAPPER --- */
#wrapper {
    /*background-color: green;*/
    width: 75dvw;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 10em;
    max-width: 1300px;
}






/* ------------------------------------------------------------- */
/* -------------------------- SECTIONS ------------------------- */
/* ------------------------------------------------------------- */

/*HERO*/
#hero {
    /*background-color: #0D3E38;*/
    display: grid;
    box-sizing: border-box;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto 1fr;
    grid-template-areas:
        "name name"
        "lastname subtitle"
        "tag     image";
    align-items: end;
    min-height: 100vh;
    padding: 80px 0;
}
.name { 
    grid-area: name;
    width: 100%;
}
.lastname { 
    grid-area: lastname; 
    margin-top: 60px;
}
.subtitle {
    margin-top: 70px;
    grid-area: subtitle; 
    align-self: start;
    justify-self: center;
}
.image { 
    grid-area: image; 
    width: 300px;
    height: 100%;
    align-self: auto;
    justify-self: end;
    background-image: url("media/hero-img.png");
    background-size: cover;
    border-radius: 6px;
    overflow: hidden;
    position: relative;
}
.tag { 
    grid-area: tag; 
    align-self: end;
}
.image video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/*SKILLS 1*/
#skills{
    padding-top: 5em;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2em;
}
.skll-div1{
    margin-top: 1em;
    display: flex;
    width: 100%;
    justify-content: space-between;
}
.skll-div1-sub1{
    display: flex;
    flex-direction: column;
    gap: 2em;
    width: 80%;
}
.skll-grd1{
    display: grid;
    grid-template-columns: 1fr 2fr 8rem 1fr 2fr;
    align-items: start;
}
.skll-grd1-col4{
    grid-column: 4;
}
.skll-grd1-col5{
    grid-column: 5;
}
/*SKILLS 2*/
.skll-div2 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    width: 100%;
    margin-top: 2em;
}
.c-skill-header {
    grid-column: 1 / -1;  /* spans all 3 columns */
    text-align: center;
    font-weight: bold;
    padding: 3rem 0;
    border-top: 1px dashed #4c4c4c;
    border-bottom: 1px dashed #4c4c4c;
}
.c-skill {
    padding: 3rem 4rem;
    border-bottom: 1px dashed #4c4c4c;
}
.c-skill-center {
    padding: 3rem 4rem;
    border-bottom: 1px dashed #4c4c4c;
    border-right: 1px dashed #4c4c4c;
    border-left: 1px dashed #4c4c4c;
}
/*WORK*/
#work{
    padding-top: 5em;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 6em; 
}
#work h2{
    margin-bottom: -1em;
}
.work-item{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 3em;
}
.work-img-container{
    overflow: hidden;
    border-radius: 6px;
}
.work-cover{
    background-color: grey;
    width: 100%;
    aspect-ratio: 2.39 / 1;
    border-radius: 6px;
    object-fit: cover;
    transition: transform 0.3s ease;
    cursor: pointer;
}
.work-item-info{
    display: grid;
    grid-template-columns: 1fr 1fr 0.8fr auto;
    column-gap: 3em;
    align-items: start;
}
.work-item-info h3{
    min-width: 320px;
    max-width: 360px;
}
.work-item-details{
    display: flex;
    flex-direction: column;
    height: 80%;
    gap: 1.5em;
    color: var(--color-grytxt);
    font-size: var(--fs-sm);
}
.work-item-desc{
    max-width: 320px;
    color: var(--color-grytxt);
    text-align: justify;
}
.btn-work{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.6em;
    text-decoration: none;
    color: var(--color-grytxt);
    min-width: 136px;
}
.btn-work img{
    height: 1rem;
}
.btn-work p{
    font-weight: 400;
}
/*ABOUT*/
#about{
    padding-top: 5em;
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 60em;
    margin: 0 auto;
    gap: 2.5em; 
}
#about h3, .about-txt{
    text-align: justify;
}
#about h3{
    text-transform: uppercase;
}
.about-txt-div, .about-img-div{
    display: flex;
    width: 100%;
}
.about-txt-div{
    justify-content: end;
}
.about-img-div{
    justify-content: start;
}
.about-txt{
    max-width: 500px;
}
.about-img{
    background-color: #4c4c4c;
    width: 360px;
    aspect-ratio: 3 / 4;
    border-radius: 6px;
}
/*FOOTER*/
#footer {
    height: 100dvh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    padding: 80px 0;
}
.index-email{
    text-decoration: none;
    color: var(--color-light);
}
.index-email h3{
    cursor: pointer;
}
.footer-index{
    width: 100%;
    flex-direction: column;
    gap: 1em;
}
.socials{
    display: flex;
    justify-content: space-between;
    width: 100%;
}
.socials a{
    text-decoration: none;
    font-size: 2rem;
    font-weight: 600;
    color: var(--color-light);
}
.credits, .credits-sub, .footer-index{
    display: flex;
}
.credits{
    justify-content: space-between;
}
.credits-sub{
    gap: 8em;
}
.credits p{
    font-size: var(--fs-sm);
}

/* --- HOVERS --- */
.work-img-container{overflow: hidden;}
.work-img-container img:hover{
    transform: scale(1.05);
}






/* ------------------------------------------------------------- */
/* ------------------------- VIEWPORTS ------------------------- */
/* ------------------------------------------------------------- */

/* --- MID SIZE: ~1,250px and below --- */
@media (max-width: 78em) {
    /* ── DS ── */
    .skll-div1-sub1{display: none;}
    .hr1-alt2{display: none;}

    #hero {
        padding: 60px 0;
    }
    .lastname { 
        margin-top: 40px;
    }
    .image { 
    width: 100%;
    height: 60px;
    }
    .subtitle {
        justify-self: end;
        margin-top: 40px;
        margin-left: 40px;
    }

    .skll-div1{
        gap: 6em;
    }
    .skll-div1-sub1-alt{
        display: flex;
        flex-direction: column;
        gap: 2em;
    }
    .skll-grd1{
        display: grid;
        grid-template-columns: 1fr 2fr;
        align-items: start;
        justify-content: end;
        column-gap: 1.5em;
    }

    #work{
        display: flex;
    }
    .work-item{
        gap: 2em;
    }
    .work-cover{
        background-color: grey;
        width: 100%;
        aspect-ratio: 1.78 / 1;
        border-radius: 6px;
    }
    .work-item-info{
        display: grid;
        grid-template-columns: 1.5fr 1fr;
        column-gap: 0;
        align-items: auto;
        grid-template-areas:
            "title desc"
            "hr1   hr1"
            "label btn";
        row-gap: 2em;
    }
    .work-item-info h3{
        grid-area: title;
    }
    .work-item-desc{
        grid-area: desc;
        max-width: none;
        color: var(--color-light);
    }
    .hr1-alt1{
        grid-area: hr1;
        display: block;
        width: 100%;
        border-top: 1px solid #4c4c4c; 
    }
    .work-item-details{
        grid-area: label;
        flex-direction: row;
        height: auto;
        gap: 2em;
        justify-content: space-between;
    }
    .btn-tst{
        grid-area: btn;
        justify-self: end;
    }

    #about{
        gap: 4em; 
    }
    #about h2{
        margin-bottom: -2rem; 
    }
    .about-txt{
        max-width: 400px;
    }
    .about-img{
        background-color: #4c4c4c;
        width: 300px;
        aspect-ratio: 3 / 4;
        border-radius: 6px;
    }

    #footer {
        padding: 60px 0;
    }

}

/* --- TABLET: ~768px and below --- */
@media (max-width: 48em) {
    #wrapper {
        width: 85dvw;
    }

    #skills, #work, #about{
        padding-top: 7.5em;
    }

    #hero {    
        padding-top: 120px;
        padding-bottom: 80px;
    }
    .subtitle {
        margin-left: 32px;
    }
    .image { 
        height: 200px;
    }

    #skills h2, #work h2, #about h2, #footer h2{
        align-self: baseline;
        font-size: 2.4rem;
    }
    .hr-mobile{
        display: block;
    }
    .skll-div1{
        gap: 4em;
        margin-top: 0;
    }
    .c-skill {
        padding: 3rem 3rem;
    }

    #work{
        gap: 2em;
    }
    #work h2{
        margin-bottom: 0;
    }
    .work-item{
        margin-top: 3em;
        gap: 2em;
    }
    .work-item-info{
        grid-template-columns: 1.25fr 1fr;
        row-gap: 2em;
    }
    .work-item-info h3{
        min-width: auto;
        margin-right: 2rem;
    }
    .work-item-details{
        width: 100%;
        gap: 2em;
        justify-content: space-between;
    }
    .work-cover{
        aspect-ratio: 1.66 / 1;
    }
    .btn-tst{
        justify-self: start;
        min-width: auto;
    }
    .p-stack{
        display: none;
    }

    #about{
        gap: 2em;
    }
    #about h2{
        margin-bottom: 0;
    }
    .about-txt{
        max-width: 280px;
    }
    .about-img{
        width: 100%;
        aspect-ratio: 1.78 / 1;
        margin-top: 0.75em;
    }

    #footer{
        height: auto;
        padding-bottom: 2em;
        gap: 2.5em;
        container-type: inline-size;
    }
    .index-email h3{
        font-size: 7.9cqi;
    }
    .footer-h2-mob{
        width: 100%;
        display: flex;
        flex-direction: column;
        gap: 2em;
    }
    .footer-index{
        display: none;
    }
    .footer-index-mob{
        display: flex;
        flex-direction: column;
        width: 100%;
        gap: 2.5em;
    }
    .footer-sub-mob{
        display: flex;
        flex-direction: row;
        width: 100%;
        justify-content: space-between;
    }
    .socials{
        display: grid;
        grid-template-columns: 1fr 1fr;
        width: auto;
        row-gap: 2.5em;
        column-gap: 1.5em;
    }
    .socials a{
        text-decoration: none;
        font-size: 1.8rem;
        font-weight: 600;
        color: var(--color-light);
    }
    .credits{
        display: flex;
        flex-direction: column;
    }
    .footer-brackets{
        display: flex;
        justify-content: space-between;
        border-top: 1px solid #4c4c4c;
        border-bottom: 1px solid #4c4c4c;
        padding: 1em 0;
    }
    .footer-brackets p{
        font-weight: 500;
    }

}

/* --- MOBILE: ~480px and below --- */
@media (max-width: 31em) {
    /*body {background-color: blue;}*/
    #wrapper {
        width: 90dvw;
    }

    #hero {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto 1fr auto;
        grid-template-areas:
            "name"
            "lastname"
            "subtitle"
            "image"
            "tag";
        align-items: start;
        min-height: 100vh;
        padding: 80px 0;
        padding-top: 130px;
        row-gap: 2em;
    }
    .lastname{
        margin: 0;
    }
    .subtitle{
        margin: 4dvh 0;
        justify-self: start;
    }
    .image{
        height: 100%;
    }
    .tag{
        margin-top: 4dvh;
        justify-self: end;
    }

    #skills h2, #work h2, #about h2, #footer h2{
        align-self: baseline;
        font-size: 2rem;
    }
    #skills, #work, #about{
        padding-top: 10em;
    }

    #skills{
        margin-top: -4em;
    }

    .skll-div1{
        gap: 3em;
    }
    .skll-div2{
        display: none;
    }
    .skll-div2-alt{
        display: flex;
        justify-content: space-between;
        width: 100%;
        gap: 3em;
        border-top: 1px solid #4c4c4c;
        padding-top: 2.6em;
    }
    .skll-div2-sub-alt{
        display: flex;
        flex-direction: column;
        width: 70%;
        gap: 1.5em;
    }
    .skll-grd2{
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 2em;
    }

    #work{
        gap: 1.8em;
    }
    .work-item{
        margin-top: 2em;
        margin-bottom: 1em;
        gap: 0.8em;
    }
    .work-item-info{
        gap: 0.8em;
    }

    #about{
        margin-bottom: -5em;
        gap: 5dvh;
    }
    .about-txt-div{
        margin-top: 0.75em;
    }
    .about-txt{
        width: 65%;
    }
    .about-img{
        width: 100%;
        aspect-ratio: 1.78 / 1;
        margin-top: 1em;
    }

    #footer{
        height: 100dvh;
        padding-top: 20vh;
        padding-bottom: 4em;
        gap: 0;
    }
    .footer-h2-mob{
        gap: 2em;
    }
    .footer-index-mob{
        gap: 3.5em;
    }
    .socials a{
        font-size: 1.6rem;
    }
}

/* --- MINI: ~360px and below --- */
@media (max-width: 20em) {
    /*body {background-color: purple;}*/
}